include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/keduca/libkeduca
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### keducabuilder (executable)

tde_add_executable( keducabuilder AUTOMOC

  SOURCES
        kcontroladdeditbase.ui
        keducaeditorstartdialogbase.ui
        keducaeditorstartdialog.cpp
        ktagcombobox.cpp
        klangcombo.cpp
        kcontrolheader.cpp
        keducabuilder.cpp
        kcontroladdedit.cpp
        main.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     keduca-static

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES keducabuilderui.rc
    DESTINATION ${DATA_INSTALL_DIR}/keduca
)
